Bug 103855 - boot process hangs with attached USB keyboard
boot process hangs with attached USB keyboard
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-05 14:51 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-05 14:51:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624

Description of problem:
On an Intel D815EEA2 motherboard, BIOS P21, with a Logitech Cordless Keyboard
attached to USB port, the boot process hangs after the line 'apm: BIOS version
1.2 Flags 0x03 (Driver version 1.16)'.  Legacy USB in the BIOS is enabled,
disabling it does not help.  Other USB keyboards do not exhibit this issue. 
When plugged into a PS/2 port with a USB->PS/2 adapter, the boot process works
normally.  Problem exists on all Red Hat 9 kernels that I've tried and I also
had the same issue with Red Hat 7.3.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Plug in a Logitech Cordless Keyboard into the USB port.
2.  Boot Linux.

Actual Results:  Boot process hangs after the line:
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)

Expected Results:  Boot should have completed.

Additional info:
Comment 1 Need Real Name 2003-09-10 20:10:38 EDT
This is not just with the Logitech Cordless Keyboard, but now any USB keyboard.
 Although once I did plug in a Microsoft Natural Elite USB and it did boot OK. 
But now I an unable to duplicate with that keyboard or any other one.
Comment 2 Bugzilla owner 2004-09-30 11:41:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.